# Grid.py # This class represents a grid (matrix) which is used to look for transitions

# system includes
import sys
import math
import numpy as np

from point import Point

class Grid:
  def __init__(self, w, h):
    # how many tiles in our grid
    self.rows = h
    self.cols = w

  # index into the matrix of this Grid
  def at(self, i, j):
    return (i % self.rows) * self.cols + (j % self.cols)

  def cell(self,x,y):
#   print("x, y: ", pt.at(0), pt.at(1))
    # given normazlied gaze point, figure out which screen grid cell we're in
    # scale up to width, height
    i = int(x * self.cols)
    j = int(y * self.rows)
#   print("i, j: ", i, j)

    # return sequential index (for transition matrix)
    return self.at(j,i)
