import os, sys, math
from timeit import default_timer

# prevent Python from writing .pyc files
sys.dont_write_bytecode = True

class Timer:
  
  def __init__(self):
    self.st = 0.0
    self.et = 0.0
    self.tt = 0.0
    self.elsapsed = 0.0

  def start(self):
    self.st = default_timer()

  def end(self):
    self.et = default_timer()
    self.tt = self.et - self.st

  def elapsed(self):
    return default_timer() - self.st

  def elapsed_ms(self):
    return (default_timer() - self.st) * 1000.0
